////////////////////////////////////////////////////////////////////////////
// The engine starts in the resolution given by the follwing vars.
var video_mode = 8;	 // screen size 1024x768
var video_depth = 32; // 32 bit colour D3D mode

/*
path "gfx";
path "models";
path "panels";
path "sounds";
*/

include <CC_Defines.wdl>;
include <CC_Soldier.wdl>;
include <CC_Sound.wdl>;
include <CC_Mouse.wdl>;
include <CC_CamView.wdl>;


/////////////////////////////////////////////////////////////////
// Strings and filenames
// change this string to your own starting mission message.
//string mission_str = "Fight your way through the level. Press [F1] for help";

string level_str = <C&C.WMB>; // give file names in angular brackets

//sound level_mus, <levelmusic.wav>;

bmap black_map, <black.bmp>;
bmap title_map, <soldiers.bmp>;

panel black_pan {
	pos_x = 0;
	pos_y = 0;
	layer = 10;
	bmap = black_map;
	flags = overlay;
}

panel title_pan {
	layer = 9;
	bmap = title_map;
	flags = refresh,d3d;
	}
	
/////////////////////////////////////////////////////////////////
// The main() function is started at game start
function main()
{	
	on_mouse_right = null;
	wait(3);
	title_pan.visible = on;
	black_pan.visible = on;
	black_pan.transparent = on;
	black_pan.alpha = 100;
	while(black_pan.alpha > 0) {
		black_pan.alpha = max(black_pan.alpha - 10 * time,0);
		wait(1);
		}
// now load the level
	level_load(level_str);
	sleep(2);
	while(black_pan.alpha < 100) {
		black_pan.alpha = min(black_pan.alpha + 10 * time,100);
		wait(1);
		}
	title_pan.visible = off;	
	sleep(0.5);
	cam_focus.x = 0;
	cam_focus.y = 0;
	cam_focus.z = -1000;
	screen_pan.visible = on;
	while(black_pan.alpha > 0) {
		black_pan.alpha = max(black_pan.alpha - 25 * time,0);
		wait(1);
		}
	black_pan.visible = off;
	init_mouse();
	mouse_mode = 1;
  	media_loop(levelmus,null,100);
	}

//////////////////////////////
// End Main
//////////////////////////////